Subject: Re: [PATCH 2/2] Add local bus device nodes to MPC837xMDS device trees.

From: David Gibson <[email-masked]>
Date: Tue, 11 Mar 2008 10:54:29 +1100

On Fri, Mar 07, 2008 at 04:39:30AM +0100, Segher Boessenkool wrote:
> > This isn't a problem with this device tree, but it's probably time we
> > started establishing some conventional generic names for nand flash
> > and board-control devices.
> >
> > So, to start the ball rolling, I've seen several names for nand flash
> > nodes, I'd suggest we standardise on "nand-flash".
> 
> What's wrong with the already well-established generic name "flash"?

I was concerned that using "flash" for both NOR flash (which it
already is) and NAND flash might be unwise.  I am quite open to being
convinced otherwise, though.

> > I've seen several variants for board control devices (cpld, bcsr,
> > fpga, etc.) I suggest we standardise on "board-control"
> 
> Fine with me, but it's very vague (hard to avoid though).

Yes.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson